Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network145.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
145.0.0.0
Broadcast address
145.255.255.255
First usable
145.0.0.1
Last usable
145.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 91000000 · Integer 2432696320 to 2449473535
Reverse DNS zone
145.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010001..00000000.00000000.00000000145.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10010001..00000000.00000000.00000000145.0.0.0
Broadcast10010001..11111111.11111111.11111111145.255.255.255
Split into smaller subnets/15

145.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1145.0.0.0/15145.0.0.1 to 145.1.255.254145.1.255.255131,070
2145.2.0.0/15145.2.0.1 to 145.3.255.254145.3.255.255131,070
3145.4.0.0/15145.4.0.1 to 145.5.255.254145.5.255.255131,070
4145.6.0.0/15145.6.0.1 to 145.7.255.254145.7.255.255131,070
5145.8.0.0/15145.8.0.1 to 145.9.255.254145.9.255.255131,070
6145.10.0.0/15145.10.0.1 to 145.11.255.254145.11.255.255131,070
7145.12.0.0/15145.12.0.1 to 145.13.255.254145.13.255.255131,070
8145.14.0.0/15145.14.0.1 to 145.15.255.254145.15.255.255131,070
9145.16.0.0/15145.16.0.1 to 145.17.255.254145.17.255.255131,070
10145.18.0.0/15145.18.0.1 to 145.19.255.254145.19.255.255131,070
11145.20.0.0/15145.20.0.1 to 145.21.255.254145.21.255.255131,070
12145.22.0.0/15145.22.0.1 to 145.23.255.254145.23.255.255131,070
13145.24.0.0/15145.24.0.1 to 145.25.255.254145.25.255.255131,070
14145.26.0.0/15145.26.0.1 to 145.27.255.254145.27.255.255131,070
15145.28.0.0/15145.28.0.1 to 145.29.255.254145.29.255.255131,070
16145.30.0.0/15145.30.0.1 to 145.31.255.254145.31.255.255131,070
17145.32.0.0/15145.32.0.1 to 145.33.255.254145.33.255.255131,070
18145.34.0.0/15145.34.0.1 to 145.35.255.254145.35.255.255131,070
19145.36.0.0/15145.36.0.1 to 145.37.255.254145.37.255.255131,070
20145.38.0.0/15145.38.0.1 to 145.39.255.254145.39.255.255131,070
21145.40.0.0/15145.40.0.1 to 145.41.255.254145.41.255.255131,070
22145.42.0.0/15145.42.0.1 to 145.43.255.254145.43.255.255131,070
23145.44.0.0/15145.44.0.1 to 145.45.255.254145.45.255.255131,070
24145.46.0.0/15145.46.0.1 to 145.47.255.254145.47.255.255131,070
25145.48.0.0/15145.48.0.1 to 145.49.255.254145.49.255.255131,070
26145.50.0.0/15145.50.0.1 to 145.51.255.254145.51.255.255131,070
27145.52.0.0/15145.52.0.1 to 145.53.255.254145.53.255.255131,070
28145.54.0.0/15145.54.0.1 to 145.55.255.254145.55.255.255131,070
29145.56.0.0/15145.56.0.1 to 145.57.255.254145.57.255.255131,070
30145.58.0.0/15145.58.0.1 to 145.59.255.254145.59.255.255131,070
31145.60.0.0/15145.60.0.1 to 145.61.255.254145.61.255.255131,070
32145.62.0.0/15145.62.0.1 to 145.63.255.254145.63.255.255131,070
33145.64.0.0/15145.64.0.1 to 145.65.255.254145.65.255.255131,070
34145.66.0.0/15145.66.0.1 to 145.67.255.254145.67.255.255131,070
35145.68.0.0/15145.68.0.1 to 145.69.255.254145.69.255.255131,070
36145.70.0.0/15145.70.0.1 to 145.71.255.254145.71.255.255131,070
37145.72.0.0/15145.72.0.1 to 145.73.255.254145.73.255.255131,070
38145.74.0.0/15145.74.0.1 to 145.75.255.254145.75.255.255131,070
39145.76.0.0/15145.76.0.1 to 145.77.255.254145.77.255.255131,070
40145.78.0.0/15145.78.0.1 to 145.79.255.254145.79.255.255131,070
41145.80.0.0/15145.80.0.1 to 145.81.255.254145.81.255.255131,070
42145.82.0.0/15145.82.0.1 to 145.83.255.254145.83.255.255131,070
43145.84.0.0/15145.84.0.1 to 145.85.255.254145.85.255.255131,070
44145.86.0.0/15145.86.0.1 to 145.87.255.254145.87.255.255131,070
45145.88.0.0/15145.88.0.1 to 145.89.255.254145.89.255.255131,070
46145.90.0.0/15145.90.0.1 to 145.91.255.254145.91.255.255131,070
47145.92.0.0/15145.92.0.1 to 145.93.255.254145.93.255.255131,070
48145.94.0.0/15145.94.0.1 to 145.95.255.254145.95.255.255131,070
49145.96.0.0/15145.96.0.1 to 145.97.255.254145.97.255.255131,070
50145.98.0.0/15145.98.0.1 to 145.99.255.254145.99.255.255131,070
51145.100.0.0/15145.100.0.1 to 145.101.255.254145.101.255.255131,070
52145.102.0.0/15145.102.0.1 to 145.103.255.254145.103.255.255131,070
53145.104.0.0/15145.104.0.1 to 145.105.255.254145.105.255.255131,070
54145.106.0.0/15145.106.0.1 to 145.107.255.254145.107.255.255131,070
55145.108.0.0/15145.108.0.1 to 145.109.255.254145.109.255.255131,070
56145.110.0.0/15145.110.0.1 to 145.111.255.254145.111.255.255131,070
57145.112.0.0/15145.112.0.1 to 145.113.255.254145.113.255.255131,070
58145.114.0.0/15145.114.0.1 to 145.115.255.254145.115.255.255131,070
59145.116.0.0/15145.116.0.1 to 145.117.255.254145.117.255.255131,070
60145.118.0.0/15145.118.0.1 to 145.119.255.254145.119.255.255131,070
61145.120.0.0/15145.120.0.1 to 145.121.255.254145.121.255.255131,070
62145.122.0.0/15145.122.0.1 to 145.123.255.254145.123.255.255131,070
63145.124.0.0/15145.124.0.1 to 145.125.255.254145.125.255.255131,070
64145.126.0.0/15145.126.0.1 to 145.127.255.254145.127.255.255131,070
65145.128.0.0/15145.128.0.1 to 145.129.255.254145.129.255.255131,070
66145.130.0.0/15145.130.0.1 to 145.131.255.254145.131.255.255131,070
67145.132.0.0/15145.132.0.1 to 145.133.255.254145.133.255.255131,070
68145.134.0.0/15145.134.0.1 to 145.135.255.254145.135.255.255131,070
69145.136.0.0/15145.136.0.1 to 145.137.255.254145.137.255.255131,070
70145.138.0.0/15145.138.0.1 to 145.139.255.254145.139.255.255131,070
71145.140.0.0/15145.140.0.1 to 145.141.255.254145.141.255.255131,070
72145.142.0.0/15145.142.0.1 to 145.143.255.254145.143.255.255131,070
73145.144.0.0/15145.144.0.1 to 145.145.255.254145.145.255.255131,070
74145.146.0.0/15145.146.0.1 to 145.147.255.254145.147.255.255131,070
75145.148.0.0/15145.148.0.1 to 145.149.255.254145.149.255.255131,070
76145.150.0.0/15145.150.0.1 to 145.151.255.254145.151.255.255131,070
77145.152.0.0/15145.152.0.1 to 145.153.255.254145.153.255.255131,070
78145.154.0.0/15145.154.0.1 to 145.155.255.254145.155.255.255131,070
79145.156.0.0/15145.156.0.1 to 145.157.255.254145.157.255.255131,070
80145.158.0.0/15145.158.0.1 to 145.159.255.254145.159.255.255131,070
81145.160.0.0/15145.160.0.1 to 145.161.255.254145.161.255.255131,070
82145.162.0.0/15145.162.0.1 to 145.163.255.254145.163.255.255131,070
83145.164.0.0/15145.164.0.1 to 145.165.255.254145.165.255.255131,070
84145.166.0.0/15145.166.0.1 to 145.167.255.254145.167.255.255131,070
85145.168.0.0/15145.168.0.1 to 145.169.255.254145.169.255.255131,070
86145.170.0.0/15145.170.0.1 to 145.171.255.254145.171.255.255131,070
87145.172.0.0/15145.172.0.1 to 145.173.255.254145.173.255.255131,070
88145.174.0.0/15145.174.0.1 to 145.175.255.254145.175.255.255131,070
89145.176.0.0/15145.176.0.1 to 145.177.255.254145.177.255.255131,070
90145.178.0.0/15145.178.0.1 to 145.179.255.254145.179.255.255131,070
91145.180.0.0/15145.180.0.1 to 145.181.255.254145.181.255.255131,070
92145.182.0.0/15145.182.0.1 to 145.183.255.254145.183.255.255131,070
93145.184.0.0/15145.184.0.1 to 145.185.255.254145.185.255.255131,070
94145.186.0.0/15145.186.0.1 to 145.187.255.254145.187.255.255131,070
95145.188.0.0/15145.188.0.1 to 145.189.255.254145.189.255.255131,070
96145.190.0.0/15145.190.0.1 to 145.191.255.254145.191.255.255131,070
97145.192.0.0/15145.192.0.1 to 145.193.255.254145.193.255.255131,070
98145.194.0.0/15145.194.0.1 to 145.195.255.254145.195.255.255131,070
99145.196.0.0/15145.196.0.1 to 145.197.255.254145.197.255.255131,070
100145.198.0.0/15145.198.0.1 to 145.199.255.254145.199.255.255131,070
101145.200.0.0/15145.200.0.1 to 145.201.255.254145.201.255.255131,070
102145.202.0.0/15145.202.0.1 to 145.203.255.254145.203.255.255131,070
103145.204.0.0/15145.204.0.1 to 145.205.255.254145.205.255.255131,070
104145.206.0.0/15145.206.0.1 to 145.207.255.254145.207.255.255131,070
105145.208.0.0/15145.208.0.1 to 145.209.255.254145.209.255.255131,070
106145.210.0.0/15145.210.0.1 to 145.211.255.254145.211.255.255131,070
107145.212.0.0/15145.212.0.1 to 145.213.255.254145.213.255.255131,070
108145.214.0.0/15145.214.0.1 to 145.215.255.254145.215.255.255131,070
109145.216.0.0/15145.216.0.1 to 145.217.255.254145.217.255.255131,070
110145.218.0.0/15145.218.0.1 to 145.219.255.254145.219.255.255131,070
111145.220.0.0/15145.220.0.1 to 145.221.255.254145.221.255.255131,070
112145.222.0.0/15145.222.0.1 to 145.223.255.254145.223.255.255131,070
113145.224.0.0/15145.224.0.1 to 145.225.255.254145.225.255.255131,070
114145.226.0.0/15145.226.0.1 to 145.227.255.254145.227.255.255131,070
115145.228.0.0/15145.228.0.1 to 145.229.255.254145.229.255.255131,070
116145.230.0.0/15145.230.0.1 to 145.231.255.254145.231.255.255131,070
117145.232.0.0/15145.232.0.1 to 145.233.255.254145.233.255.255131,070
118145.234.0.0/15145.234.0.1 to 145.235.255.254145.235.255.255131,070
119145.236.0.0/15145.236.0.1 to 145.237.255.254145.237.255.255131,070
120145.238.0.0/15145.238.0.1 to 145.239.255.254145.239.255.255131,070
121145.240.0.0/15145.240.0.1 to 145.241.255.254145.241.255.255131,070
122145.242.0.0/15145.242.0.1 to 145.243.255.254145.243.255.255131,070
123145.244.0.0/15145.244.0.1 to 145.245.255.254145.245.255.255131,070
124145.246.0.0/15145.246.0.1 to 145.247.255.254145.247.255.255131,070
125145.248.0.0/15145.248.0.1 to 145.249.255.254145.249.255.255131,070
126145.250.0.0/15145.250.0.1 to 145.251.255.254145.251.255.255131,070
127145.252.0.0/15145.252.0.1 to 145.253.255.254145.253.255.255131,070
128145.254.0.0/15145.254.0.1 to 145.255.255.254145.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses